Roomability Guest API
  1. RoomType
Roomability Guest API
  • Introduction
  • Authentication
  • Errors
  • Booking Flow
  • Reservation
    • Add
      POST
    • Availability
      POST
    • Cancel
      POST
    • Booking Ref
      GET
  • Country
    • Get Countries List
      GET
  • State
    • Get State List
      GET
  • RoomType
    • Get Room Types
      GET
    • Get Room Detail
      GET
  • Guest
    • Detail
      GET
  • Term
    • Detail
      GET
  • Privacy
    • Detail
      GET
  • Payment Method
    • Active List
      GET
  • Paystack
    • Verify
      GET
    • Initialize
      POST
  • Hotel
    • Detail
      GET
    • Hotel Rule
      GET
  • PayGateway
    • Detail
  • CancelPolicy
    • Detail
  • Search List
    GET
  • Phone Code List
    GET
  1. RoomType

Get Room Types

GET
https://guestapi.roomability.io/RoomType/DetailList
Last modified:2026-03-13 10:49:46
The RoomType/DetailList endpoint retrieves a list of room types based on the specified facility type ID.

Response#

The response will be a JSON object with the following properties:
types (array, required): An array of room type objects, each containing the following properties:
facilityTypeId (number): The ID of the facility type.
roomTypeId (number): The ID of the room type.
roomType (string): The name or type of the room.
summary (string): A summary or description of the room type.
adult (number): The maximum number of adults allowed in the room.
children (number): The maximum number of children allowed in the room.
currencySymbol (string): The currency symbol for the room rate.
rateId (number): The ID of the room rate.
rate (number): The room rate.
available (number): The number of available rooms.
image1 to image8 (string): URLs of room images.
errorCode (number): An error code, if any.
errorMessage (string): An error message, if any.
Example:
{
  "types": [
    {
      "facilityTypeId": 0,
      "roomTypeId": 0,
      "roomType": "",
      "summary": "",
      "adult": 0,
      "children": 0,
      "currencySymbol": "",
      "rateId": 0,
      "rate": 0,
      "available": 0,
      "image1": "",
      "image2": "",
      "image3": "",
      "image4": "",
      "image5": "",
      "image6": "",
      "image7": "",
      "image8": ""
    }
  ],
  "errorCode": 0,
  "errorMessage": ""
}

Request

Query Params

Header Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://guestapi.roomability.io/RoomType/DetailList?facilityTypeId=1' \
--header 'X-API-Key: {{api-key}}' \
--header 'Content-Type: application/json'
Response Response Example
{
    "types": [
        {
            "facilityTypeId": 1,
            "roomTypeId": 1,
            "roomType": "First Class Suite",
            "summary": "",
            "adult": 2,
            "children": 2,
            "currencySymbol": "₦",
            "rateId": 1,
            "rate": 60000,
            "available": 0,
            "image1": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image2": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image3": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image4": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image5": "",
            "image6": "",
            "image7": "",
            "image8": ""
        },
        {
            "facilityTypeId": 1,
            "roomTypeId": 2,
            "roomType": "Business Suite",
            "summary": "",
            "adult": 2,
            "children": 2,
            "currencySymbol": "₦",
            "rateId": 2,
            "rate": 50000,
            "available": 0,
            "image1": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image2": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image3": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image4": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image5": "",
            "image6": "",
            "image7": "",
            "image8": ""
        },
        {
            "facilityTypeId": 1,
            "roomTypeId": 3,
            "roomType": "Premium Suite",
            "summary": "",
            "adult": 2,
            "children": 2,
            "currencySymbol": "₦",
            "rateId": 3,
            "rate": 40000,
            "available": 0,
            "image1": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image2": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image3": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image4": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image5": "",
            "image6": "",
            "image7": "",
            "image8": ""
        },
        {
            "facilityTypeId": 1,
            "roomTypeId": 4,
            "roomType": "Economy",
            "summary": "",
            "adult": 2,
            "children": 2,
            "currencySymbol": "₦",
            "rateId": 4,
            "rate": 35000,
            "available": 0,
            "image1": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image2": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image3": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image4": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image5": "",
            "image6": "",
            "image7": "",
            "image8": ""
        },
        {
            "facilityTypeId": 1,
            "roomTypeId": 5,
            "roomType": "Economy plus",
            "summary": "",
            "adult": 2,
            "children": 2,
            "currencySymbol": "₦",
            "rateId": 5,
            "rate": 30000,
            "available": 0,
            "image1": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image2": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image3": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image4": "https://api.reservations.ng/images/hotels/room-placeholder.png",
            "image5": "",
            "image6": "",
            "image7": "",
            "image8": ""
        }
    ],
    "errorCode": 0,
    "errorMessage": "Successfully retrieved room types."
}
Modified at 2026-03-13 10:49:46
Previous
RoomType
Next
Get Room Detail
Built with